import { aH as _export_sfc, r as ref, af as openBlock, ag as createElementBlock, ak as createVNode, aj as withCtx, S as QIcon } from "./index.6081da41.js";
import { Q as QFab, a as QFabAction } from "./QFab.ec0703ba.js";
import { d as useQuasar, a as useChatStore } from "./use-quasar.c6076455.js";
var MoguBtn_vue_vue_type_style_index_0_scoped_true_lang = "";
const _hoisted_1 = { class: "q-ma-md" };
const _sfc_main = {
  __name: "MoguBtn",
  setup(__props) {
    const fab = ref(false);
    const $q = useQuasar();
    useChatStore();
    $q.bex.on("hideMoguBtn", ({ respond }) => {
      fab.value = false;
      respond();
    });
    async function onClick(func_type) {
      await $q.bex.send("sendText", { func_type });
    }
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createVNode(QFab, {
          modelValue: fab.value,
          "onUpdate:modelValue": _cache[3] || (_cache[3] = ($event) => fab.value = $event),
          label: "\u9009\u62E9\u6A21\u5F0F",
          "external-label": "",
          "vertical-actions-align": "left",
          padding: "xs",
          color: "white",
          direction: "down",
          push: ""
        }, {
          icon: withCtx(() => [
            createVNode(QIcon, { name: "img:icons/logo-32.png" })
          ]),
          "active-icon": withCtx(() => [
            createVNode(QIcon, { name: "img:icons/logo-32.png" })
          ]),
          default: withCtx(() => [
            createVNode(QFabAction, {
              padding: "3px",
              "external-label": "",
              color: "primary",
              onClick: _cache[0] || (_cache[0] = ($event) => onClick("translate")),
              icon: "translate",
              label: "\u7FFB\u8BD1"
            }),
            createVNode(QFabAction, {
              padding: "3px",
              "external-label": "",
              color: "secondary",
              onClick: _cache[1] || (_cache[1] = ($event) => onClick("interpreter")),
              icon: "interpreter_mode",
              label: "\u8BB2\u89E3"
            }),
            createVNode(QFabAction, {
              padding: "3px",
              "external-label": "",
              color: "orange",
              onClick: _cache[2] || (_cache[2] = ($event) => onClick("summarize")),
              icon: "summarize",
              label: "\u6982\u62EC"
            })
          ]),
          _: 1
        }, 8, ["modelValue"])
      ]);
    };
  }
};
var MoguBtn = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-06838df4"]]);
export { MoguBtn as default };
